Index: channels/chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.197
diff -u -u -r1.197 chan_sip.c
--- channels/chan_sip.c	21 Oct 2003 03:10:43 -0000	1.197
+++ channels/chan_sip.c	21 Oct 2003 15:23:59 -0000
@@ -278,6 +278,7 @@
 	char callerid[80];
 	char methods[80];
 	char accountcode[20];
+	char language[MAX_LANGUAGE];
 	unsigned int callgroup;
 	unsigned int pickupgroup;
 	int nat;
@@ -3910,6 +3911,7 @@
 				strncpy(p->peersecret, user->secret, sizeof(p->peersecret) - 1);
 				strncpy(p->peermd5secret, user->md5secret, sizeof(p->peermd5secret) - 1);
 				strncpy(p->accountcode, user->accountcode, sizeof(p->accountcode)  -1);
+				strncpy(p->language, user->language, sizeof(p->language)  -1);
 				p->canreinvite = user->canreinvite;
 				p->amaflags = user->amaflags;
 				p->callgroup = user->callgroup;
@@ -5625,6 +5627,7 @@
 		user->canreinvite = REINVITE_INVITE;
 		/* JK02: set default context */
 		strcpy(user->context, context);
+		strcpy(user->language, language);
 		while(v) {
 			if (!strcasecmp(v->name, "context")) {
 				strncpy(user->context, v->value, sizeof(user->context));
@@ -5662,6 +5665,8 @@
 				user->callgroup = ast_get_group(v->value);
 			} else if (!strcasecmp(v->name, "pickupgroup")) {
 				user->pickupgroup = ast_get_group(v->value);
+			} else if (!strcasecmp(v->name, "language")) {
+				strncpy(user->language, v->value, sizeof(user->language)-1);
 			} else if (!strcasecmp(v->name, "accountcode")) {
 				strncpy(user->accountcode, v->value, sizeof(user->accountcode)-1);
 			} else if (!strcasecmp(v->name, "incominglimit")) {
